﻿Module Module1

    Sub Main()

        Dim Gen1 As New mcl_gen_NET45.usb_gen
        Dim SN As String = ""
        Dim x As Integer = 0
        Dim StrRcv As String = ""
        x = Gen1.Connect(SN)
        x = Gen1.SCPI_Query(":MN?", StrRcv)
        x = Gen1.SCPI_Query(":SN?", StrRcv)

        x = Gen1.SCPI_Query(":PWR:RF:ON", StrRcv)      'RF On/OFF
        x = Gen1.SCPI_Query(":FREQ:2.105GHz", StrRcv)
        x = Gen1.SCPI_Query("PWR:3.5dBm", StrRcv)
        x = Gen1.SCPI_Query(":PWR?", StrRcv)
        x = Gen1.SCPI_Query(":FREQ?", StrRcv)
        x = Gen1.SCPI_Query(":PWR:RF:OFF", StrRcv)






        x = Gen1.SCPI_Query("FSWEEP:STARTFREQ:1000", StrRcv) ' Val() Is the Start Freq In MHz (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:STOPFREQ:6000", StrRcv)    ' Val Is the Stop Freq In MHz (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:STEPSIZE:1", StrRcv)    ' Val Is the Step Size Freq In MHz (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:POWER:-5", StrRcv)    '  Val Is the Power Level In dBm (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:DWELL:1000", StrRcv)    '  Val Is the Dwell Time In msec (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:DIRECTION:0", StrRcv)    ' Val Is the Direction. 0= from Start To Stop. 1= from Stop To Start  2= both directions (? For Query) 
        x = Gen1.SCPI_Query("FSWEEP:TRIGGERIN:0", StrRcv)    '  0 - No Trigger  , 1= wait For trigger For Each point,  2=wait For a trigger For entire cycle (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:TRIGGEROUT:0", StrRcv)    ' ' 0 - No need For Trigger out  , 1 = required For Each point 2= required after one cycle (? For Query)
        x = Gen1.SCPI_Query("FSWEEP:MODE:On", StrRcv)    '   - Run the Sweep
        x = Gen1.SCPI_Query("FSWEEP:MODE:OFF", StrRcv)    '  - Stop the Sweep

        'Power Sweep SCPi Commands
        x = Gen1.SCPI_Query("PSWEEP:STARTPOWER:-20", StrRcv)    '  Val Is the Start Power In dBm (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:STOPPOWER:10", StrRcv)     ' <VAL> Val Is the Stop Power In dBm (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:STEPSIZE:1", StrRcv)      '<VAL> Val Is the Step Size In dBm (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:FREQ:1000", StrRcv)      ' <VAL> Val Is the Frequency In MHz (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:DWELL:1000", StrRcv)    ' <VAL> Val Is the Dwell Time In msec
        x = Gen1.SCPI_Query("PSWEEP:DIRECTION:1", StrRcv)    '<VAL> Val Is the Direction. 0= from Start To Stop. 1= from Stop To Start  2= both directions  (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:TRIGGERIN:0", StrRcv)    ' <VAL>  0 - No Trigger  , 1= wait For trigger For Each point,  2=wait For a trigger For entire cycle (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:TRIGGEROUT:0", StrRcv)    '<VAL> ' 0 - No need For Trigger out  , 1 = required For Each point 2= required after one cycle (? For Query)
        x = Gen1.SCPI_Query("PSWEEP:MODE:On", StrRcv)    '  - Run the Sweep
        x = Gen1.SCPI_Query("PSWEEP:MODE:OFF", StrRcv)    ' - Stop the Sweep

        'Hop Sweep SCPI Commands
        x = Gen1.SCPI_Query("HOP:POINTS:2", StrRcv)    ' <VAL> - number Of points (? For Query)
        x = Gen1.SCPI_Query("HOP:POINT:1", StrRcv)    ' <VAL> - selected point (? For Query)
        x = Gen1.SCPI_Query("HOP:FREQ:1000", StrRcv)    ' <VAL> - Frequency In MHz Of the specific point (? For Query)
        x = Gen1.SCPI_Query("HOP:POWER:-5", StrRcv)    '<VAL> - Power In dBm Of the specific point (? For Query)
        x = Gen1.SCPI_Query("HOP:POINT:2", StrRcv)    ' <VAL> - selected point (? For Query)
        x = Gen1.SCPI_Query("HOP:FREQ:6000", StrRcv)    ' <VAL> - Frequency In MHz Of the specific point (? For Query)
        x = Gen1.SCPI_Query("HOP:POWER:0", StrRcv)    '<VAL> - Power In dBm Of the specific point (? For Query)
        x = Gen1.SCPI_Query("HOP:DWELL:1000", StrRcv)    ' <VAL> Val Is the Dwell Time In msec (? For Query)
        x = Gen1.SCPI_Query("HOP:DIRECTION:1", StrRcv)    '<VAL> Val Is the Direction. 0= from Start To Stop. 1= from Stop To Start  2= both directions (? For Query)
        x = Gen1.SCPI_Query("HOP:TRIGGERIN:0", StrRcv)    '<VAL>  0 - No Trigger  , 1= wait For trigger For Each point,  2=wait For a trigger For entire cycle (? For Query)
        x = Gen1.SCPI_Query("HOP:TRIGGEROUT:0", StrRcv)    ' <VAL> ' 0 - No need For Trigger out  , 1 = required For Each point 2= required after one cycle (? For Query)
        x = Gen1.SCPI_Query("HOP:MODE:On", StrRcv)    '  - Run the Sweep
        x = Gen1.SCPI_Query("HOP:MODE:OFF", StrRcv)    ' - Stop the Sweep

        ' Pulse Mode Commands  - only for SSG-6000RC And SSG-6001RC  
        x = Gen1.SCPI_Query("PULSE:TIMEON:200", StrRcv)    ' <VAL> - the period Of time the PULSE Is On In msec Or usec acording the Time Units
        x = Gen1.SCPI_Query("PULSE:TIMEOFF:300", StrRcv)    ' <VAL> - the period Of time the PULSE Is OFF In msec Or usec acording the Time Units
        x = Gen1.SCPI_Query("PULSE:TIMEUNITS=MSEC", StrRcv)    ' - Set the Time Units To msec
        x = Gen1.SCPI_Query("PULSE:TIMEUNITS=USEC", StrRcv)    ' - Set the Time Units To usec                       
        x = Gen1.SCPI_Query("PULSE:MODE:FREERUN:ON", StrRcv)    '
        x = Gen1.SCPI_Query("PULSE:MODE:OFF", StrRcv)


        Gen1.Disconnect()



    End Sub

End Module
